Subject: [ipwave] Summary of 6man review of draft-ietf-ipwave-ipv6-over-80211ocb-22

From: Suresh Krishnan <[email-masked]>
Date: Fri, 1 Jun 2018 00:51:08 -0400

Hi all,
  I had requested the 6man WG to review draft-ietf-ipwave-ipv6-over-80211ocb-22 after the WGLC here as per the ipwave charter. The request resulted in several comments and some of them are major and, in my opinion, require significant changes to the draft to address. 

The thread starts with this email

https://www.ietf.org/mail-archive/web/ipv6/current/msg30065.html <https://www.ietf.org/mail-archive/web/ipv6/current/msg30065.html>

and the further emails in this thread can be found at

https://mailarchive.ietf.org/arch/browse/ipv6/?q=80211ocb-22 <https://mailarchive.ietf.org/arch/browse/ipv6/?q=80211ocb-22>

One of the proposals that emerged there was that this document can be discussed at the 6man WG meeting in Montreal to identify potential ways forward. I’d rather not wait till the Montreal meeting if we can make progress on this document before then. I think we should start discussing the issues raised on the ipwave mailing list and come up with a plan to address them. In my mind the major issues that were raised are

* Lack of specification of how ND will work on these links (the underlying assumption of the commenters is that standard ND would not work)
* Multicast support (or the lack of it) and how it will be addressed - e.g. should we specify an NBMA oriented ND procedure?
* Not enough basic background information about 802.11OCB

Comments and potential solutions are greatly appreciated.

Thanks
Suresh